<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Antecedentes personales</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:growl id="msj"/>
                <p:fieldset legend="Agregar Antecedente Personal" style="margin-bottom:10px">
                    <h:form id="form">
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Enfermedad" style="margin-right:25px;"/>
                            <p:inputText value="#{ante_personalController.ante_personal.antecedente_p}"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save" value="Registrar" rendered="#{ante_personalController.ante_personal.antecedente_p==null}" actionListener="#{ante_personalController.insertar()}" update="form :tabla :msj"/>
                            </div>
                            <p:commandButton icon="pi pi-times" value="Cancelar" rendered="#{ante_personalController.ante_personal.antecedente_p!=null}" actionListener="#{ante_personalController.init()}" update="form :tabla :msj"/>
                            <p:commandButton icon="pi pi-refresh" value="Actualizar" rendered="#{ante_personalController.ante_personal.antecedente_p!=null}" actionListener="#{ante_personalController.editar()}" update="form :tabla :msj"/>
                        </h:panelGrid> 
                    </h:form>
                </p:fieldset>
        
                <p:fieldset legend="Listado de Antecedentes Personales">
                    <h:form id="tabla" class="dosColumnas"> 
                        <p:dataTable value="#{ante_personalController.ante_personalList}" var="antecedentes" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Enfermedad Personal">
                                <p:outputLabel value="#{antecedentes.antecedente_p}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton  icon="pi pi-trash"  value="Eliminar" actionListener="#{ante_personalController.eliminar(antecedentes)}" update=":tabla :msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{ante_personalController.consultarById(antecedentes)}" update=":form"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

